elftosb::FixedMatcher Class Reference

Simple string matcher that compares against a fixed value. More...

`#include <StringMatcher.h>`

Inheritance diagram for elftosb::FixedMatcher:
[legend]
Collaboration diagram for elftosb::FixedMatcher:
[legend]

## Public Member Functions

| FixedMatcher (const std::string &fixedValue)
| Constructor. Sets the string to compare against to be fixedValue.
virtual bool | match (const std::string &testValue)
| Returns whether testValue is the same as the value passed to the constructor. More...

## Protected Attributes

const std::string & | m_value
| The section name to look for.

## Detailed Description

Simple string matcher that compares against a fixed value.

## Member Function Documentation

virtual bool elftosb::FixedMatcher::match | ( | const std::string & | testValue | ) |

inlinevirtual

Returns whether testValue is the same as the value passed to the constructor.

Return values

  true | The testValue argument matches the fixed compare value.
  false | The argument is not the same as the compare value.

Implements elftosb::StringMatcher.

The documentation for this class was generated from the following file:

- apps/elftosb/common/StringMatcher.h